Name: ovm-consoled
Version: 0.1
Release: 17%{?dist}.0.1
Summary: Oracle VM console server.
License: GPLv2
Group: Applications/System
URL: http://www.oracle.com/virtualization
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Requires: python >= 2.4, socat

Patch1: dummy.patch
Patch2: add-license-file.patch
Patch3: fix-invalid-uuid.patch
Patch4: notification.patch
Patch5: ovm-consoled-refresh-tunnel-interval-increase-to-60s-from-10s.patch
Patch6: restrict-manager-ip-only-for-access.patch
Patch7: fix-agent-notification-module-path.patch
Patch8: restrict-manager-ip-only-for-access-add-missing-part.patch
Patch9: ovm-consoled-fix-migration.patch
Patch10: ovm-console-hvm-serial-console.patch
Patch11: bug17180175.patch
Patch12: rev262.patch
Patch13: rev273.patch
Patch14: rev283.patch
Patch15: rev285.patch
Patch16: rev298.patch
Patch17: rev463.patch
# End Oracle Patches

%description
Oracle VM console server for exporting guest consoles.

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p0
%patch15 -p0
%patch16 -p0
%patch17 -p0

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = 1 ]; then
    /sbin/chkconfig --add ovm-consoled
fi

%preun
if [ $1 = 0 ]; then
    /sbin/service ovm-consoled stop >/dev/null 2>&1
    /sbin/chkconfig --del ovm-consoled
fi

%files
%defattr(-,root,root)
%doc README COPYING
%{_sysconfdir}/init.d/ovm-consoled
%config(noreplace) %{_sysconfdir}/ovm-consoled.conf
%{_sbindir}/ovm-consoled

%changelog
* Mon Oct 17 2016 Shelly Ma <shelly.ma@oracle.com> - 0.1-17.el6.0.1 
- Prevent future socat changes that introduces defect which accepts any remote connection. Ackownledged by Zhigang Wang <zhigang.x.wang@oracle.com> [bug 24906519]

* Wed Apr 16 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-17 
- reduce xenstore watches and fix a regular expression which may cause xend been killed
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Firas Azar <firas.azar@oracle.com> [bug 18556579]  

* Wed Mar 19 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-16 
- fix get tty path
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 18420874]  

* Wed Mar 19 2014 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-15 
- fix tty port re: it should be ungreedy
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Steve Noyes <steve.noyes@oracle.com> [bug 18421069]  

* Wed Dec 11 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-14 
- fix copyright year.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Tue Oct 08 2013 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-13 
- fix the way to get manager IP after SSL authentication
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com> 

* Wed Jul 24 2013 Carson Hovey <carson.hovey@oracle.com> - 0.1-12 
- Code to support condrestart was missing; added same.
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 17180175] [bug -] [bug OVM-CONSOLED] [bug CONDRESTART] [bug DOES] [bug NOT] [bug WORK]  

* Wed Nov 21 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-11 
- Support hvm serial console
  We should setup the SSL tunnel against serial console for hvm and against pv
  console for pvm.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 15881557]  

* Wed Aug 15 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-10 
- With this patch, during VM migration, the tunnel on the source side will be
  removed. It also restrict one connection to the tunnel.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com> [bug 14481292]  

* Tue Jul 31 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-9
- Remove dependency on stunnel [bug 14318945]

* Fri May 25 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-8 
- restrict Manager IP only for SSL vnc/tty console access - add missing part.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Wed Apr 25 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-7 
- fix agent notification module path.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Alexandre Chartre <alexandre.chartre@oracle.com> 

* Mon Mar 19 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-6 
- restrict Manager IP only for SSL vnc/tty console access.
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Adnan Misherfi <adnan.misherfi@oracle.com>
  Signed-off-by: Junjie Wei <junjie.wei@oracle.com> 

* Thu Dec 22 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-5 
- increase refresh tunnel interval to 60s from 10s. [bug 13480981] 

* Thu Dec 15 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-4 
- fix notification for agent refactor 

* Wed Nov 02 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-3 
- fix invalid uuid issue: {DOMAIN} 0004fb00-0006-0000-31fb-cf2d7b325e4f-1 {SSLVNC} 6927 

* Fri Aug 26 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-2 
- add license file [bug 12737215] 

* Tue Aug 31 2010 Zhigang Wang <zhigang.x.wang@oracle.com> - 0.1-1
- Initial build.
